These errors will occur when the database has already been attached to a higher version of SQL Server.  A database cannot be "downgraded" to a lower version of SQL Server. 

For example: If a database was previously attached to a SQL Server 2008 R2 instance, it cannot be attached to a SQL Server 2005 instance.

To resolve this issue:

  1. Verify that the correct database server is being selected while going through the Attach Database Wizard
  2. Select an instance of SQL Server that would be the same version or higher, as the instance the database was attached to before.